<?php

use App\Http\Controllers\AdelantoController;
use App\Http\Controllers\RegistroController;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\PermissionController;
use App\Http\Controllers\RoleController;
use App\Http\Controllers\UserController;
use App\Http\Controllers\ClienteController;
use App\Http\Controllers\MuestraController;
use App\Http\Controllers\PesoController;
use App\Http\Controllers\RequerimientoController;
use App\Http\Controllers\LiquidacionController;
use App\Http\Controllers\ResumenController;
use App\Http\Controllers\AreaController;
use App\Http\Controllers\PosicionController;
use App\Http\Controllers\EmpleadoController;
use App\Http\Controllers\AcCategoriaController;
use App\Http\Controllers\AcActivoController;
use App\Http\Controllers\AcItemController;
use App\Http\Controllers\IngresoController;

//Route::group(['middleware' => ['role:super-admin|admin']], function(){
Route::group(['middleware' => ['auth']], function(){



    //RESOURCES ROUTES
    Route::resource('clientes', ClienteController::class);
    Route::resource('pesos', PesoController::class);
    Route::resource('muestras', MuestraController::class);
    Route::resource('requerimientos', RequerimientoController::class);
    Route::resource('liquidaciones', LiquidacionController::class);
    Route::resource('adelantos',AdelantoController::class);
    Route::resource('resumens',ResumenController::class);
    Route::resource('areas',AreaController::class);
    Route::resource('posiciones',PosicionController::class);
    Route::resource('empleados',EmpleadoController::class);
    Route::resource('accategorias',AcCategoriaController::class);
    Route::resource('acactivos',AcActivoController::class);
    Route::resource('acitems',AcItemController::class);
    Route::resource('ingresos',IngresoController::class);




    Route::resource('permissions', PermissionController::class);
    Route::get('permissions/{permissionId}/delete', [PermissionController::class, 'destroy']);

    Route::resource('roles', RoleController::class);
    Route::get('roles/{roleId}/delete', [RoleController::class, 'destroy']);
    

    Route::get('roles/{roleId}/give-permissions', [RoleController::class, 'addPermissionToRole']);
    Route::put('roles/{roleId}/give-permissions', [RoleController::class, 'givePermissionToRole']);


    Route::get('/adelantos/create', [AdelantoController::class, 'create'])->name('adelantos.create');
    Route::post('/adelantos', [AdelantoController::class, 'store'])->name('adelantos.store');


    Route::resource('users', UserController::class);
    Route::get('users/{userId}/delete', [UserController::class, 'destroy']);
    Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
    Route::post('/buscar-documento', [ClienteController::class, 'buscarDocumento'])->name('buscar.documento');
    

    // Ejemplo de ruta para almacenar el resumen
    Route::post('/resumens', [ResumenController::class, 'store'])->name('resumens.store');
    //Ruta para imprimir
    Route::get('/liquidaciones/{id}/print', [LiquidacionController::class, 'print'])->name('liquidaciones.print');
    Route::post('/duplicate/{id}', [LiquidacionController::class, 'duplicate'])->name('duplicate'); 
    Route::put('/liquidaciones/{id}', [LiquidacionController::class, 'update'])->name('liquidaciones.update');
    Route::get('ingresos/imprimir/{id}', [IngresoController::class, 'imprimir'])->name('ingresos.imprimir');

});

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();



