<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>LIQUIDACION IMPRIMIR</title>
    <style>
        body {
            font-family: Arial, sans-serif;
            margin: 0;
            padding: 0;
        }

        .container {
            width: 100%;
            max-width: 800px;
            margin: auto;
            padding: 20px;
        }

        .header, .footer {
            text-align: center;
            margin-bottom: 10px;
        }

        .header h1 {
            margin: 0;
            font-size: 18px;
        }

        .header p {
            margin: 5px 0;
            font-size: 12px;
        }

        .content {
            display: flex;
            flex-direction: column;
            gap: 3px;
            margin-bottom: 20px;
        }

        .section {
            border: 1px solid #a1516b;
            border-radius: 4px;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
            padding: 5px;
            box-sizing: border-box;
            font-size: 12px;
            position: relative; /* Añadido para posicionar la imagen */
        }

        .section h6 {
            margin-top: 5px; /* Reduce el margen superior de la cabecera */
            margin-bottom: 5px; /* Reduce el margen inferior de la cabecera */
            text-align: center;
            background-color: #a1516b;
            padding: 3px;
            font-size: 14px;
            border-radius: 4px;
        }

        .section p {
            margin: 3px 0;
            font-size: 12px;
        }

        .section img {
            position: absolute;
            right: 0;
            top: 50%;
            transform: translateY(-50%);
            max-width: 150px; /* Ajusta el tamaño máximo de la imagen */
            height: auto; /* Mantiene la relación de aspecto */
        }

        .centered-container {
            display: flex;
            flex-wrap: wrap;
            gap: 10px; /* Ajusta el espacio entre los contenedores */
            justify-content: center;
            margin-bottom: 20px;
        }

        .data-box-full {
            border: 1px solid #a1516b;
            border-radius: 4px;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
            padding: 5px; /* Ajusta el padding según necesites */
            min-width: 130px; /* Tamaño reducido */
            box-sizing: border-box;
            flex: 1 1 130px; /* Tamaño reducido */
            font-size: 11px; /* Tamaño reducido */
            margin: 0; /* Elimina el margen para que el gap sea el único espacio entre los contenedores */
        }

        .data-box-full h6 {
            margin-top: 5px; /* Reduce el margen superior para acercar la cabecera al contenido */
            margin-bottom: 5px; /* Ajusta el margen inferior según lo necesites */
            text-align: center;
            background-color: #a1516b;
            padding: 3px;
            font-size: 13px; /* Tamaño reducido */
            border-radius: 4px;
        }

        .data-box-full p {
            margin: 2px 0; /* Ajusta los márgenes de los párrafos */
            font-size: 11px; /* Tamaño reducido */
        }

        .combined-table {
            width: 100%;
            border: 1px solid #a1516b;
            border-radius: 4px;
            box-shadow: 0 0 5px rgba(0, 0, 0, 0.1);
            padding: 0;
            overflow-x: auto;
            margin-bottom: 5px;
            font-size: 10px;
        }

        .combined-table table {
            width: 100%;
            border-collapse: collapse;
        }

        .combined-table th, .combined-table td {
            padding: 3px;
            border: 1px solid #a1516b  ;
            text-align: center;
            font-size: 10px;
        }

        .combined-table th {
            background-color: #a1516b ;
        }

        .combined-table td.highlighted-text {
            font-weight: bold;
            background-color: #f9f9f9;
        }

        .footer button {
            padding: 8px 16px;
            font-size: 12px;
            border: none;
            border-radius: 4px;
            background-color: #a1516b;
            color: white;
            cursor: pointer;
        }

        .footer button:hover {
            background-color: #a1516b;
        }

        @media print {
            /* Resetear márgenes y padding para el cuerpo del documento */
            body {
                margin: 0;
                padding: 0;
                font-size: 10px; /* Ajusta según el tamaño que necesites */
                overflow-x: hidden; /* Evita desbordamientos horizontales */
            }

            /* Asegura que el contenedor ocupe todo el ancho disponible */
            .container {
                width: 100%;
                padding: 0;
                box-shadow: none; /* Elimina sombras en la impresión */
                box-sizing: border-box; /* Incluye padding y borde en el ancho total */
            }

            /* Ajusta el espacio en la cabecera y pie de página */
            .header, .footer {
                margin-bottom: 5px;
            }

            .footer button {
                display: none; /* Oculta botones u otros elementos que no deberían imprimirse */
            }

            /* Asegura que la tabla no se desborde y se ajuste al ancho de la página */
            .combined-table {
                width: 100%;
                max-width: 100%;
                font-size: 8px; /* Ajusta el tamaño de fuente para la tabla */
                box-sizing: border-box; /* Incluye padding y borde en el ancho total */
                overflow-x: hidden; /* Evita desbordamientos horizontales en la tabla */
            }

            /* Ajusta padding en las celdas de la tabla */
            .combined-table th, .combined-table td {
                padding: 2px;
                word-break: break-word; /* Evita que el texto largo se desborde */
            }

            /* Ajusta el estilo de secciones y cajas de datos */
            .section, .data-box-full {
                font-size: 10px; /* Ajusta el tamaño de fuente según sea necesario */
                padding: 3px;
                box-sizing: border-box; /* Incluye padding y borde en el ancho total */
            }

            .section p, .data-box-full p {
                margin: 2px 0; /* Ajusta los márgenes de los párrafos */
            }
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="header">
            <h1>VALORIZACION COMPRA VENTA</h1>
            <p>Fecha y hora: <?php echo e(\Carbon\Carbon::now()->format('d/m/Y H:i:s')); ?></p>
        </div>

        <div class="content">
            <!-- Primer contenedor (más grande) -->
            <div class="section">
                <div class="data-box">
                    <div class="left">
                        <h6>DATOS GENERALES</h6>
                        <p><strong>RUC:</strong> <?php echo e($liquidacion->cliente->ruc_empresa); ?></p>
                        <p><strong>PRODUCTOR:</strong> <?php echo e($liquidacion->cliente->razon_social); ?></p>
                        <p><strong>CLIENTE:</strong> <?php echo e($liquidacion->cliente->datos_cliente); ?></p>
                        <p><strong>DIRECCIÓN:</strong> <?php echo e($liquidacion->cliente->direccion); ?></p>
                        <p><strong>TELÉFONO:</strong> <?php echo e($liquidacion->cliente->telefono); ?></p>
                        <p><strong>LOTE:</strong> <?php echo e($liquidacion->lote); ?></p>
                    </div>
                </div>
                <!-- Imagen en el lado derecho -->
                <img src="<?php echo e(asset('images/inn.png')); ?>" alt="Imagen" />
            </div>

            <!-- Contenedor centrado -->
            <div class="centered-container">
                <div class="data-box-full">
                    <h6>PESO</h6>
                    <p><strong>TMH:</strong> <?php echo e($liquidacion->peso); ?></p>
                    <p><strong>HUMEDAD:</strong> <?php echo e($liquidacion->muestra->humedad); ?>%</p>
                    <p><strong>TMS:</strong> <?php echo e($liquidacion->tms); ?></p>
                    <p><strong>MERMA:</strong> <?php echo e($liquidacion->cliente->requerimientos->merma); ?></p>
                    <p><strong>TMNS:</strong> <?php echo e($liquidacion->tmns); ?></p>
                </div>
                <div class="data-box-full">
                    <h6>ENSAYO</h6>
                    <p><strong>CU %:</strong> <?php echo e($liquidacion->muestra->cu); ?>%</p>
                    <p><strong>AG Oz/TM:</strong> <?php echo e($liquidacion->muestra->ag); ?></p>
                    <p><strong>AU Oz/TM:</strong> <?php echo e($liquidacion->muestra->au); ?></p>
                </div>
                <div class="data-box-full">
                    <h6>COTIZACIÓN</h6>
                    <p><strong>Cu $/ lb:</strong> <?php echo e($liquidacion->cotizacion_cu); ?></p>
                    <p><strong>Ag $/ oz:</strong> <?php echo e($liquidacion->cotizacion_ag); ?></p>
                    <p><strong>Au $/ oz:</strong> <?php echo e($liquidacion->cotizacion_au); ?></p>
                </div>
            </div>

            <!-- Contenedor combinado -->
            <!-- Contenedor en forma de tabla -->
            <div class="combined-table">
                <table>
                    <thead>
                        <tr>
                            <th colspan="7">PAGABLES</th>
                        </tr>
                        <tr>
                            <th>TIPO</th>
                            <th>LEYES</th>
                            <th>% PAGABLE</th>
                            <th>DEDUCCION</th>
                            <th></th>
                            <th>PRECIO</th>
                            <th>US$/TM</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td class="highlighted-text">Cu % :</td>
                            <td><?php echo e($liquidacion->ley_cu); ?>%</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->pagable_cu); ?></td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->deduccion_cu); ?></td>
                            <td><?php echo e($liquidacion->formula_cu); ?>%</td>
                            <td><?php echo e($liquidacion->precio_cu); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->val_cu); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">Ag Oz/TC</td>
                            <td><?php echo e($liquidacion->ley_ag); ?></td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->pagable_ag); ?>%</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->deduccion_ag); ?>%</td>
                            <td><?php echo e($liquidacion->formula_ag); ?></td>
                            <td><?php echo e($liquidacion->precio_ag); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->val_ag); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">Au Oz/TC</td>
                            <td><?php echo e($liquidacion->ley_au); ?></td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->pagable_au); ?>%</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->deduccion_au); ?>%</td>
                            <td><?php echo e($liquidacion->formula_au); ?></td>
                            <td><?php echo e($liquidacion->precio_au); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->val_au); ?></td>
                        </tr>
                        <tr>


                            <td colspan="6" class="highlighted-text"><strong>TOTAL PAGABLE/TM:</strong></td>
                            <td class="highlighted-text"><strong>$</strong><?php echo e($liquidacion->total_valores); ?></td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <!-- Sección combinada para deducciones en formato de tabla -->
            <div class="combined-table">
                <table>
                    <thead>
                        <tr>
                            <th colspan="8">DEDUCCIONES</th>
                        </tr>
                        <tr>
                            <th></th>
                            <th></th>
                            <th>PRECIO</th>
                            <th>US$/TM</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td class="highlighted-text">REFINACION DE CU</td>
                            <td><?php echo e($liquidacion->formula_fi_cu); ?>%</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->refinamiento_cu); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->fina_cu); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">REFINACION DE AG</td>
                            <td><?php echo e($liquidacion->formula_fi_ag); ?></td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->refinamiento_ag); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->fina_ag); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">REFINACION DE AU</td>
                            <td><?php echo e($liquidacion->formula_fi_au); ?></td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->refinamiento_au); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->fina_au); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">MAQUILA</td>
                            <td></td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->maquila); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->cliente->requerimientos->maquila); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">ANALISIS</td>
                            <td></td>
                            <td><?php echo e($liquidacion->division); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->division); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">ESTIBADORES</td>
                            <td></td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->estibadores); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->cliente->requerimientos->estibadores); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">MOLIENDA</td>
                            <td></td>
                            <td><?php echo e($liquidacion->molienda); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->molienda); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">TRANSPORTE</td>
                            <td></td>
                            <td><?php echo e($liquidacion->transporte); ?></td>
                            <td><strong>$</strong><?php echo e($liquidacion->transporte); ?></td>
                        </tr>
                        <tr>
                            <td colspan="3" class="highlighted-text"><strong>TOTAL DEDUCCIONES:</strong></td>
                            <td class="highlighted-text"><strong>$</strong><?php echo e($liquidacion->total_deducciones); ?></td>
                        </tr>
                    </tbody>
                </table>
            </div>

            <!-- Sección combinada para penalidades en formato de tabla -->
            <div class="combined-table">
                <table>
                    <thead>
                        <tr>
                            <th colspan="8">PENALIDADES</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td class="highlighted-text">As:</td>
                            <td>( <?php echo e($liquidacion->muestra->as); ?></td>
                            <td>-0.100</td>
                            <td>% ) x</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->penalidad_as); ?></td>
                            <td>$ / TMS</td>
                            <td>0.100</td>
                            <td><?php echo e($liquidacion->total_as); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">Sb:</td>
                            <td>( <?php echo e($liquidacion->muestra->sb); ?></td>
                            <td>-0.100</td>
                            <td>% ) x</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->penalidad_sb); ?></td>
                            <td>$ / TMS</td>
                            <td>0.100</td>
                            <td><?php echo e($liquidacion->total_sb); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">Bi:</td>
                            <td>( <?php echo e($liquidacion->muestra->bi); ?></td>
                            <td>-0.050</td>
                            <td>% ) x</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->penalidad_bi); ?></td>
                            <td>$ / TMS</td>
                            <td>0.010</td>
                            <td><?php echo e($liquidacion->total_bi); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">Pb+Zn:</td>
                            <td>( <?php echo e($liquidacion->muestra->pb); ?></td>
                            <td>-8.000</td>
                            <td>% ) x</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->penalidad_pb); ?></td>
                            <td>$ / TMS</td>
                            <td>1.000</td>
                            <td><?php echo e($liquidacion->total_pb); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">Hg:</td>
                            <td>( <?php echo e($liquidacion->muestra->hg); ?></td>
                            <td>-30.000</td>
                            <td>% ) x</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->penalidad_hg); ?></td>
                            <td>$ / TMS</td>
                            <td>20.000</td>
                            <td><?php echo e($liquidacion->total_hg); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">H2O:</td>
                            <td>( <?php echo e($liquidacion->muestra->s); ?></td>
                            <td></td>
                            <td>% ) x</td>
                            <td><?php echo e($liquidacion->cliente->requerimientos->penalidad_S); ?></td>
                            <td>$ / TMS</td>
                            <td>1.000</td>
                            <td><?php echo e($liquidacion->total_s); ?></td>
                        </tr>
                        <tr>
                            <td colspan="7" class="highlighted-text"><strong>TOTAL PENALIDADES :</strong></td>
                            <td class="highlighted-text"><strong>$</strong><?php echo e($liquidacion->total_penalidades); ?></td>
                        </tr>
                    </tbody>
                </table>
            </div>
             <!-- Contenedor en forma de tabla -->
             <div class="combined-table">
                <table>
                    <thead>

                    </thead>
                    <tbody>
                        <tr>
                            <td class="highlighted-text">TOTAL US$/TM :</td>
                            <td>$ <?php echo e($liquidacion->total_us); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">VALOR POR LOTE US$</td>
                            <td>$ <?php echo e($liquidacion->valorporlote); ?></td>
                           
                        </tr>
                        <tr>
                            <td class="highlighted-text">IGV <?php echo e($liquidacion->cliente->requerimientos->igv); ?> %</td>
                            <td>$ <?php echo e($liquidacion->valor_igv); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">TOTAL DE LIQUIDACION %</td>
                            <td>$ <?php echo e($liquidacion->total_porcentajeliqui); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">ADELANTO</td>
                            <td>$ <?php echo e($liquidacion->adelanto); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">SALDO</td>
                            <td>$ <?php echo e($liquidacion->saldo); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">DETRACCION</td>
                            <td>$ <?php echo e($liquidacion->detraccion); ?></td>
                        </tr>
                        <tr>
                            <td colspan="1" class="highlighted-text"><strong>TOTAL DE LIQUIDACION:</strong></td>
                            <td class="highlighted-text"><strong>$</strong><?php echo e($liquidacion->total_liquidacion); ?></td>
                        </tr>
                    </tbody>
                </table>
            </div>
            <!-- Contenedor en forma de tabla -->
            <div class="combined-table">
                <table>
                    <thead>
                        <tr>
                            <th colspan="2">DESCUENTOS ADICIONALES</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td class="highlighted-text">PROCESO DE PLANTA</td>
                            <td>$ <?php echo e($liquidacion->procesoplanta); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">ADELANTOS </td>
                            <td>$ <?php echo e($liquidacion->adelantosextras); ?></td>
                           
                        </tr>
                        <tr>
                            <td class="highlighted-text">PRESTAMOS</td>
                            <td>$ <?php echo e($liquidacion->prestamos); ?></td>
                        </tr>
                        <tr>
                            <td class="highlighted-text">OTROS DESCUENTOS</td>
                            <td>$ <?php echo e($liquidacion->otros_descuentos); ?></td>
                        </tr>
                        <tr>
                            <td colspan="1" class="highlighted-text"><strong>TOTAL:</strong></td>
                            <td class="highlighted-text"><strong>$</strong><?php echo e($liquidacion->total); ?></td>
                        </tr>
                    </tbody>
                </table>
            </div>
            
            <div class="footer">
                <button onclick="window.print()">Imprimir</button>
            </div>
        </div>
    </div>
</body>
</html>
<?php /**PATH /home/innovaminingsys/public_html/innova-system-ofic/resources/views/liquidaciones/print.blade.php ENDPATH**/ ?>